summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2022-04-20 06:16:09 +0000
committerLars Wirzenius <liw@liw.fi>2022-04-20 06:16:09 +0000
commit2cab75c9ab5df447e7d676d968fc5ffbd006d231 (patch)
tree9ea13b308347bc760ddfa8d070371798b703156e
parentb73ec9086b8d57ac2b3ac3a8d90021ae8c8df457 (diff)
parentbab029ce19911b10296177c4dbb3e7c61e14536e (diff)
downloadcachedir-rs-2cab75c9ab5df447e7d676d968fc5ffbd006d231.tar.gz
Merge branch 'liw/fix' into 'main'
fixes See merge request obnam/cachedir!6
-rw-r--r--build.rs3
-rw-r--r--cachedir.md8
-rwxr-xr-xcheck37
3 files changed, 40 insertions, 8 deletions
diff --git a/build.rs b/build.rs
index 04c4671..7e3f139 100644
--- a/build.rs
+++ b/build.rs
@@ -2,6 +2,5 @@ use std::path::Path;
fn main() {
println!("cargo:rerun-if-changed=build.rs");
- subplot_build::codegen(Path::new("cachedir.md"))
- .expect("failed to generate code with Subplot");
+ subplot_build::codegen(Path::new("cachedir.md")).expect("failed to generate code with Subplot");
}
diff --git a/cachedir.md b/cachedir.md
index ccabb69..f40c38c 100644
--- a/cachedir.md
+++ b/cachedir.md
@@ -1,7 +1,6 @@
---
title: "`cachedir`&mdash;cache directory tag management"
author: The Obnam project
-template: rust
bindings:
- lib/files.yaml
- lib/runcmd.yaml
@@ -32,12 +31,9 @@ such directories.
# Data files for testing
-We will use two files for testing: one is a valid `CACHEDIR.TAG` and
-the other isn't.
+We will use a dummy tag file for testing: something that is named
+`CACHEDIR.TAG`, but doesn't have the right contents.
-~~~{#CACHEDIR.TAG .file}
-Signature: 8a477f597d28d172789f06886806bc55
-~~~
~~~{#not-a-tag .file}
This is not a cache directory tag.
~~~
diff --git a/check b/check
new file mode 100755
index 0000000..8e40071
--- /dev/null
+++ b/check
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+# Run automated tests for the project.
+
+set -euo pipefail
+
+quiet=-q
+hideok=
+if command -v chronic >/dev/null; then
+ hideok=chronic
+fi
+
+if [ "$#" -gt 0 ]; then
+ case "$1" in
+ verbose | -v | --verbose)
+ quiet=
+ hideok=
+ ;;
+ esac
+fi
+
+got_cargo_cmd() {
+ cargo --list | grep " $1 " >/dev/null
+}
+
+# shellcheck disable=2086
+got_cargo_cmd clippy && cargo clippy $quiet
+got_cargo_cmd fmt && cargo fmt -- --check
+
+# shellcheck disable=2086
+cargo build --all-targets $quiet
+$hideok cargo test
+
+subplot docgen cachedir.md -o cachedir.html
+subplot docgen cachedir.md -o cachedir.pdf
+
+echo "Everything seems to be in order."